import { SpellingDictionary, SuggestionResult } from './SpellingDictionary';
export declare class SpellingDictionaryCollection implements SpellingDictionary {
    readonly dictionaries: SpellingDictionary[];
    readonly name: string;
    constructor(dictionaries: SpellingDictionary[], name: string);
    has(word: string): boolean;
    suggest(word: string, numSuggestions: number): SuggestionResult[];
    readonly size: number;
}
export declare function createCollection(dictionaries: SpellingDictionary[], name: string): SpellingDictionaryCollection;
export declare function isWordInAnyDictionary(dicts: SpellingDictionary[], word: string): boolean;
export declare function makeSuggestions(dicts: SpellingDictionary[], word: string, numSuggestions: number): SuggestionResult[];
export declare function createCollectionP(dicts: Promise<SpellingDictionary>[], name: string): Promise<SpellingDictionaryCollection>;
